set(MODULE_NAME publishing)

list(APPEND UNIT_TEST_FILES
        TestPdfWriter.cpp 
        TestDocumentConverter.cpp 
        TestSvgConverter.cpp
		TestSvgToNodeConverter.cpp		
		TestLatexConverter.cpp
		TestPlotting.cpp
)

set(UNIT_TEST_TARGET_NAME ${MODULE_NAME}_unit_tests)

add_executable(${UNIT_TEST_TARGET_NAME} ${CMAKE_SOURCE_DIR}/test/test_runner.cpp ${UNIT_TEST_FILES})
target_link_libraries(${UNIT_TEST_TARGET_NAME} PUBLIC test_utils publishing)
set_property(TARGET ${UNIT_TEST_TARGET_NAME} PROPERTY FOLDER test/${MODULE_NAME})